import{S as fu,i as _u,s as $u,e as r,k as g,w as k,t as l,M as vu,c as a,d as t,m as h,a as i,x as w,h as p,b as q,G as e,g as x,y as b,q as T,o as O,B as M,v as xu,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as Ee}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as ue}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as C}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ku(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function wu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function bu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipelines"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipelines"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Tu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Ou(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=r("p"),_=l("Example of custom tasks(e.g. a sentence transformers taking "),c=r("code"),u=l("pooler_output"),f=l(" as output):"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example of custom tasks(e.g. a sentence transformers taking "),c=a($,"CODE",{});var j=i(c);u=p(j,"pooler_output"),j.forEach(t),f=p($," as output):"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Mu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipelines"),f=l("(only if the task is supported):"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipelines"),j.forEach(t),f=p($,"(only if the task is supported):"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function yu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function qu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=l("Example of feature extraction:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of feature extraction:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Eu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipeline"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipeline"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function ju(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Ru(E){let s,_,c,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=l("Example of image classification:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of image classification:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Fu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipeline"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipeline"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Su(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Cu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=r("p"),_=l("Example of question answering:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of question answering:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function zu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipeline"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipeline"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Pu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Au(E){let s,_,c,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=r("p"),_=l("Example of semantic segmentation:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of semantic segmentation:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Nu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipeline"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipeline"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Iu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Du(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Lu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipeline"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipeline"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Xu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Uu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=l("Example of single-label classification:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of single-label classification:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Qu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipelines"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipelines"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Vu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=r("p"),_=l("Example using zero-shot-classification "),c=r("code"),u=l("transformers.pipelines"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using zero-shot-classification "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipelines"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Wu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Hu(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=r("p"),_=l("Example of text generation:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of text generation:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Bu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipeline"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipeline"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Gu(E){let s,_,c,u,f;return{c(){s=r("p"),_=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r("code"),u=l("Module"),f=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a(m,"CODE",{});var y=i(c);u=p(y,"Module"),y.forEach(t),f=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(n,m){x(n,s,m),e(s,_),e(s,c),e(c,u),e(s,f)},d(n){n&&t(s)}}}function Ju(E){let s,_,c,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=r("p"),_=l("Example of token classification:"),c=g(),k(u.$$.fragment)},l(n){s=a(n,"P",{});var m=i(s);_=p(m,"Example of token classification:"),m.forEach(t),c=h(n),w(u.$$.fragment,n)},m(n,m){x(n,s,m),e(s,_),x(n,c,m),b(u,n,m),f=!0},p:z,i(n){f||(T(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(c),M(u,n)}}}function Yu(E){let s,_,c,u,f,n,m,y;return m=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=r("p"),_=l("Example using "),c=r("code"),u=l("transformers.pipelines"),f=l(":"),n=g(),k(m.$$.fragment)},l(d){s=a(d,"P",{});var $=i(s);_=p($,"Example using "),c=a($,"CODE",{});var j=i(c);u=p(j,"transformers.pipelines"),j.forEach(t),f=p($,":"),$.forEach(t),n=h(d),w(m.$$.fragment,d)},m(d,$){x(d,s,$),e(s,_),e(s,c),e(c,u),e(s,f),x(d,n,$),b(m,d,$),y=!0},p:z,i(d){y||(T(m.$$.fragment,d),y=!0)},o(d){O(m.$$.fragment,d),y=!1},d(d){d&&t(s),d&&t(n),M(m,d)}}}function Ku(E){let s,_,c,u,f,n,m,y,d,$,j,Je,wn,Kt,Ea,bn,ja,qr,F,Zt,Ra,Tn,Fa,Sa,eo,Ca,On,za,Pa,Aa,Mn,Na,Ia,to,ge,Da,yn,La,Xa,qn,Ua,Qa,En,Va,Wa,Ha,he,Ba,jn,Ga,Ja,Rn,Ya,Ka,Fn,Za,ei,ti,Sn,oi,ni,ee,oo,si,Cn,ri,ai,ii,no,li,so,pi,mi,di,te,ci,zn,ui,gi,Pn,hi,fi,An,_i,$i,Nn,vi,xi,ki,ro,wi,In,bi,Ti,Oi,Dn,Mi,yi,Ye,ao,qi,Ln,Ei,ji,Ke,io,Ri,lo,Fi,Xn,Si,Ci,zi,Ze,po,Pi,Un,Ai,Er,je,et,Qn,mo,Ni,Vn,Ii,jr,oe,co,Di,Wn,Li,Xi,tt,uo,Ui,go,Qi,Hn,Vi,Wi,Hi,V,ho,Bi,Re,Gi,Bn,Ji,Yi,Gn,Ki,Zi,el,ot,tl,nt,ol,st,Rr,Fe,rt,Jn,fo,nl,Yn,sl,Fr,U,_o,rl,Kn,al,il,$o,ll,Zn,pl,ml,dl,es,cl,ul,W,vo,gl,Se,hl,ts,fl,_l,os,$l,vl,xl,at,kl,it,wl,lt,Sr,Ce,pt,ns,xo,bl,ss,Tl,Cr,A,ko,Ol,rs,Ml,yl,wo,ql,as,El,jl,Rl,is,Fl,Sl,H,bo,Cl,ze,zl,ls,Pl,Al,ps,Nl,Il,Dl,mt,Ll,dt,Xl,ct,Ul,ut,To,Ql,ms,Vl,zr,Pe,gt,ds,Oo,Wl,cs,Hl,Pr,N,Mo,Bl,us,Gl,Jl,yo,Yl,gs,Kl,Zl,ep,hs,tp,op,B,qo,np,Ae,sp,fs,rp,ap,_s,ip,lp,pp,ht,mp,ft,dp,_t,cp,$t,Eo,up,$s,gp,Ar,Ne,vt,vs,jo,hp,xs,fp,Nr,I,Ro,_p,ks,$p,vp,Fo,xp,ws,kp,wp,bp,bs,Tp,Op,G,So,Mp,Ie,yp,Ts,qp,Ep,Os,jp,Rp,Fp,xt,Sp,kt,Cp,wt,zp,bt,Co,Pp,Ms,Ap,Ir,De,Tt,ys,zo,Np,qs,Ip,Dr,Q,Po,Dp,Es,Lp,Xp,Ao,Up,js,Qp,Vp,Wp,Rs,Hp,Bp,J,No,Gp,Le,Jp,Fs,Yp,Kp,Ss,Zp,em,tm,Ot,om,Mt,nm,yt,Lr,Xe,qt,Cs,Io,sm,zs,rm,Xr,ne,Do,am,Ps,im,lm,Et,Lo,pm,Xo,mm,As,dm,cm,um,Y,Uo,gm,Ue,hm,Ns,fm,_m,Is,$m,vm,xm,jt,km,Rt,wm,Ft,Ur,Qe,St,Ds,Qo,bm,Ls,Tm,Qr,D,Vo,Om,Xs,Mm,ym,Wo,qm,Us,Em,jm,Rm,Qs,Fm,Sm,X,Ho,Cm,Ve,zm,Vs,Pm,Am,Ws,Nm,Im,Dm,Ct,Lm,zt,Xm,Pt,Um,At,Qm,Nt,Bo,Vm,Hs,Wm,Vr,We,It,Bs,Go,Hm,Gs,Bm,Wr,se,Jo,Gm,Js,Jm,Ym,Dt,Yo,Km,Ko,Zm,Ys,ed,td,od,K,Zo,nd,He,sd,Ks,rd,ad,Zs,id,ld,pd,Lt,md,Xt,dd,Ut,Hr,Be,Qt,er,en,cd,tr,ud,Br,L,tn,gd,or,hd,fd,on,_d,nr,$d,vd,xd,sr,kd,wd,Z,nn,bd,Ge,Td,rr,Od,Md,ar,yd,qd,Ed,Vt,jd,Wt,Rd,Ht,Fd,Bt,sn,Sd,ir,Cd,Gr;return n=new ue({}),Kt=new ue({}),Zt=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L125"}}),ao=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L520",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),io=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L258"}}),po=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L232",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),mo=new ue({}),co=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_decoder.py#L752"}}),uo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_decoder.py#L811"}}),ho=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_decoder.py#L760"}}),ot=new Ee({props:{$$slots:{default:[ku]},$$scope:{ctx:E}}}),nt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[wu]},$$scope:{ctx:E}}}),st=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[bu]},$$scope:{ctx:E}}}),fo=new ue({}),_o=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1724"}}),vo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1736"}}),at=new Ee({props:{$$slots:{default:[Tu]},$$scope:{ctx:E}}}),it=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Ou]},$$scope:{ctx:E}}}),lt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Mu]},$$scope:{ctx:E}}}),xo=new ue({}),ko=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L608"}}),bo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L691"}}),mt=new Ee({props:{$$slots:{default:[yu]},$$scope:{ctx:E}}}),dt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[qu]},$$scope:{ctx:E}}}),ct=new C({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Eu]},$$scope:{ctx:E}}}),To=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L620"}}),Oo=new ue({}),Mo=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1482"}}),qo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1536"}}),ht=new Ee({props:{$$slots:{default:[ju]},$$scope:{ctx:E}}}),ft=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Ru]},$$scope:{ctx:E}}}),_t=new C({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Fu]},$$scope:{ctx:E}}}),Eo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1494"}}),jo=new ue({}),Ro=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L779"}}),So=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L870"}}),xt=new Ee({props:{$$slots:{default:[Su]},$$scope:{ctx:E}}}),kt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[Cu]},$$scope:{ctx:E}}}),wt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[zu]},$$scope:{ctx:E}}}),Co=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L791"}}),zo=new ue({}),Po=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1618"}}),No=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1632"}}),Ot=new Ee({props:{$$slots:{default:[Pu]},$$scope:{ctx:E}}}),Mt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[Au]},$$scope:{ctx:E}}}),yt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[Nu]},$$scope:{ctx:E}}}),Io=new ue({}),Do=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_seq2seq.py#L1210"}}),Lo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_seq2seq.py#L1317"}}),Uo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_seq2seq.py#L1233"}}),jt=new Ee({props:{$$slots:{default:[Iu]},$$scope:{ctx:E}}}),Rt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[Du]},$$scope:{ctx:E}}}),Ft=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[Lu]},$$scope:{ctx:E}}}),Qo=new ue({}),Vo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L978"}}),Ho=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1060"}}),Ct=new Ee({props:{$$slots:{default:[Xu]},$$scope:{ctx:E}}}),zt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[Uu]},$$scope:{ctx:E}}}),Pt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[Qu]},$$scope:{ctx:E}}}),At=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[Vu]},$$scope:{ctx:E}}}),Bo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L991"}}),Go=new ue({}),Jo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_seq2seq.py#L1322"}}),Yo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_seq2seq.py#L1434"}}),Zo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_seq2seq.py#L1355"}}),Lt=new Ee({props:{$$slots:{default:[Wu]},$$scope:{ctx:E}}}),Xt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[Hu]},$$scope:{ctx:E}}}),Ut=new C({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[Bu]},$$scope:{ctx:E}}}),en=new ue({}),tn=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.6.2/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1148"}}),nn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1230"}}),Vt=new Ee({props:{$$slots:{default:[Gu]},$$scope:{ctx:E}}}),Wt=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[Ju]},$$scope:{ctx:E}}}),Ht=new C({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Yu]},$$scope:{ctx:E}}}),sn=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.6.2/optimum/onnxruntime/modeling_ort.py#L1160"}}),{c(){s=r("meta"),_=g(),c=r("h1"),u=r("a"),f=r("span"),k(n.$$.fragment),m=g(),y=r("span"),d=l("Models"),$=g(),j=r("h2"),Je=r("a"),wn=r("span"),k(Kt.$$.fragment),Ea=g(),bn=r("span"),ja=l("ORTModel"),qr=g(),F=r("div"),k(Zt.$$.fragment),Ra=g(),Tn=r("p"),Fa=l("Base class for implementing models using ONNX Runtime."),Sa=g(),eo=r("p"),Ca=l(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),On=r("code"),za=l("optimum.exporters.onnx"),Pa=l(" toolchain."),Aa=g(),Mn=r("p"),Na=l("Class attributes:"),Ia=g(),to=r("ul"),ge=r("li"),Da=l("model_type ("),yn=r("code"),La=l("str"),Xa=l(", "),qn=r("em"),Ua=l("optional"),Qa=l(", defaults to "),En=r("code"),Va=l('"onnx_model"'),Wa=l(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Ha=g(),he=r("li"),Ba=l("auto_model_class ("),jn=r("code"),Ga=l("Type"),Ja=l(", "),Rn=r("em"),Ya=l("optional"),Ka=l(", defaults to "),Fn=r("code"),Za=l("AutoModel"),ei=l(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ti=g(),Sn=r("p"),oi=l("Common attributes:"),ni=g(),ee=r("ul"),oo=r("li"),si=l("model ("),Cn=r("code"),ri=l("ort.InferenceSession"),ai=l(") \u2014 The ONNX Runtime InferenceSession that is running the model."),ii=g(),no=r("li"),li=l("config ("),so=r("a"),pi=l("PretrainedConfig"),mi=l(" \u2014 The configuration of the model."),di=g(),te=r("li"),ci=l("use_io_binding ("),zn=r("code"),ui=l("bool"),gi=l(", "),Pn=r("em"),hi=l("optional"),fi=l(", defaults to "),An=r("code"),_i=l("True"),$i=l(") \u2014 Whether to use I/O bindings with "),Nn=r("strong"),vi=l(`ONNX Runtime
with the CUDAExecutionProvider`),xi=l(", this can significantly speedup inference depending on the task."),ki=g(),ro=r("li"),wi=l("model_save_dir ("),In=r("code"),bi=l("Path"),Ti=l(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Oi=g(),Dn=r("li"),Mi=l("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),yi=g(),Ye=r("div"),k(ao.$$.fragment),qi=g(),Ln=r("p"),Ei=l("Instantiate a pretrained model from a pre-trained model configuration."),ji=g(),Ke=r("div"),k(io.$$.fragment),Ri=g(),lo=r("p"),Fi=l("Loads an ONNX Inference session with a given provider. Default provider is "),Xn=r("code"),Si=l("CPUExecutionProvider"),Ci=l(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),zi=g(),Ze=r("div"),k(po.$$.fragment),Pi=g(),Un=r("p"),Ai=l("Changes the ONNX Runtime provider according to the device."),Er=g(),je=r("h2"),et=r("a"),Qn=r("span"),k(mo.$$.fragment),Ni=g(),Vn=r("span"),Ii=l("ORTModelForCausalLM"),jr=g(),oe=r("div"),k(co.$$.fragment),Di=g(),Wn=r("p"),Li=l("ONNX model with a causal language modeling head for ONNX Runtime inference."),Xi=g(),tt=r("div"),k(uo.$$.fragment),Ui=g(),go=r("p"),Qi=l("Returns True to validate the check that the model using "),Hn=r("code"),Vi=l("GenerationMixin.generate()"),Wi=l(" can indeed generate."),Hi=g(),V=r("div"),k(ho.$$.fragment),Bi=g(),Re=r("p"),Gi=l("The "),Bn=r("code"),Ji=l("ORTModelForCausalLM"),Yi=l(" forward method, overrides the "),Gn=r("code"),Ki=l("__call__"),Zi=l(" special method."),el=g(),k(ot.$$.fragment),tl=g(),k(nt.$$.fragment),ol=g(),k(st.$$.fragment),Rr=g(),Fe=r("h2"),rt=r("a"),Jn=r("span"),k(fo.$$.fragment),nl=g(),Yn=r("span"),sl=l("ORTModelForCustomTasks"),Fr=g(),U=r("div"),k(_o.$$.fragment),rl=g(),Kn=r("p"),al=l("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),il=g(),$o=r("p"),ll=l("This model inherits from [~"),Zn=r("code"),pl=l("onnxruntime.modeling_ort.ORTModel"),ml=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),dl=g(),es=r("p"),cl=l("Model for any custom tasks if the ONNX model is stored in a single file."),ul=g(),W=r("div"),k(vo.$$.fragment),gl=g(),Se=r("p"),hl=l("The "),ts=r("code"),fl=l("ORTModelForCustomTasks"),_l=l(" forward method, overrides the "),os=r("code"),$l=l("__call__"),vl=l(" special method."),xl=g(),k(at.$$.fragment),kl=g(),k(it.$$.fragment),wl=g(),k(lt.$$.fragment),Sr=g(),Ce=r("h2"),pt=r("a"),ns=r("span"),k(xo.$$.fragment),bl=g(),ss=r("span"),Tl=l("ORTModelForFeatureExtraction"),Cr=g(),A=r("div"),k(ko.$$.fragment),Ol=g(),rs=r("p"),Ml=l("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),yl=g(),wo=r("p"),ql=l("This model inherits from [~"),as=r("code"),El=l("onnxruntime.modeling_ort.ORTModel"),jl=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rl=g(),is=r("p"),Fl=l("Feature Extraction model for ONNX."),Sl=g(),H=r("div"),k(bo.$$.fragment),Cl=g(),ze=r("p"),zl=l("The "),ls=r("code"),Pl=l("ORTModelForFeatureExtraction"),Al=l(" forward method, overrides the "),ps=r("code"),Nl=l("__call__"),Il=l(" special method."),Dl=g(),k(mt.$$.fragment),Ll=g(),k(dt.$$.fragment),Xl=g(),k(ct.$$.fragment),Ul=g(),ut=r("div"),k(To.$$.fragment),Ql=g(),ms=r("p"),Vl=l("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),zr=g(),Pe=r("h2"),gt=r("a"),ds=r("span"),k(Oo.$$.fragment),Wl=g(),cs=r("span"),Hl=l("ORTModelForImageClassification"),Pr=g(),N=r("div"),k(Mo.$$.fragment),Bl=g(),us=r("p"),Gl=l("Onnx Model for image-classification tasks."),Jl=g(),yo=r("p"),Yl=l("This model inherits from [~"),gs=r("code"),Kl=l("onnxruntime.modeling_ort.ORTModel"),Zl=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ep=g(),hs=r("p"),tp=l("Image Classification model for ONNX."),op=g(),B=r("div"),k(qo.$$.fragment),np=g(),Ae=r("p"),sp=l("The "),fs=r("code"),rp=l("ORTModelForImageClassification"),ap=l(" forward method, overrides the "),_s=r("code"),ip=l("__call__"),lp=l(" special method."),pp=g(),k(ht.$$.fragment),mp=g(),k(ft.$$.fragment),dp=g(),k(_t.$$.fragment),cp=g(),$t=r("div"),k(Eo.$$.fragment),up=g(),$s=r("p"),gp=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Ar=g(),Ne=r("h2"),vt=r("a"),vs=r("span"),k(jo.$$.fragment),hp=g(),xs=r("span"),fp=l("ORTModelForQuestionAnswering"),Nr=g(),I=r("div"),k(Ro.$$.fragment),_p=g(),ks=r("p"),$p=l("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),vp=g(),Fo=r("p"),xp=l("This model inherits from [~"),ws=r("code"),kp=l("onnxruntime.modeling_ort.ORTModel"),wp=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),bp=g(),bs=r("p"),Tp=l("Question Answering model for ONNX."),Op=g(),G=r("div"),k(So.$$.fragment),Mp=g(),Ie=r("p"),yp=l("The "),Ts=r("code"),qp=l("ORTModelForQuestionAnswering"),Ep=l(" forward method, overrides the "),Os=r("code"),jp=l("__call__"),Rp=l(" special method."),Fp=g(),k(xt.$$.fragment),Sp=g(),k(kt.$$.fragment),Cp=g(),k(wt.$$.fragment),zp=g(),bt=r("div"),k(Co.$$.fragment),Pp=g(),Ms=r("p"),Ap=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Ir=g(),De=r("h2"),Tt=r("a"),ys=r("span"),k(zo.$$.fragment),Np=g(),qs=r("span"),Ip=l("ORTModelForSemanticSegmentation"),Dr=g(),Q=r("div"),k(Po.$$.fragment),Dp=g(),Es=r("p"),Lp=l("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Xp=g(),Ao=r("p"),Up=l("This model inherits from [~"),js=r("code"),Qp=l("onnxruntime.modeling_ort.ORTModel"),Vp=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Wp=g(),Rs=r("p"),Hp=l("Semantic Segmentation model for ONNX."),Bp=g(),J=r("div"),k(No.$$.fragment),Gp=g(),Le=r("p"),Jp=l("The "),Fs=r("code"),Yp=l("ORTModelForSemanticSegmentation"),Kp=l(" forward method, overrides the "),Ss=r("code"),Zp=l("__call__"),em=l(" special method."),tm=g(),k(Ot.$$.fragment),om=g(),k(Mt.$$.fragment),nm=g(),k(yt.$$.fragment),Lr=g(),Xe=r("h2"),qt=r("a"),Cs=r("span"),k(Io.$$.fragment),sm=g(),zs=r("span"),rm=l("ORTModelForSeq2SeqLM"),Xr=g(),ne=r("div"),k(Do.$$.fragment),am=g(),Ps=r("p"),im=l("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),lm=g(),Et=r("div"),k(Lo.$$.fragment),pm=g(),Xo=r("p"),mm=l("Returns True to validate the check that the model using "),As=r("code"),dm=l("GenerationMixin.generate()"),cm=l(" can indeed generate."),um=g(),Y=r("div"),k(Uo.$$.fragment),gm=g(),Ue=r("p"),hm=l("The "),Ns=r("code"),fm=l("ORTModelForSeq2SeqLM"),_m=l(" forward method, overrides the "),Is=r("code"),$m=l("__call__"),vm=l(" special method."),xm=g(),k(jt.$$.fragment),km=g(),k(Rt.$$.fragment),wm=g(),k(Ft.$$.fragment),Ur=g(),Qe=r("h2"),St=r("a"),Ds=r("span"),k(Qo.$$.fragment),bm=g(),Ls=r("span"),Tm=l("ORTModelForSequenceClassification"),Qr=g(),D=r("div"),k(Vo.$$.fragment),Om=g(),Xs=r("p"),Mm=l(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),ym=g(),Wo=r("p"),qm=l("This model inherits from [~"),Us=r("code"),Em=l("onnxruntime.modeling_ort.ORTModel"),jm=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rm=g(),Qs=r("p"),Fm=l("Sequence Classification model for ONNX."),Sm=g(),X=r("div"),k(Ho.$$.fragment),Cm=g(),Ve=r("p"),zm=l("The "),Vs=r("code"),Pm=l("ORTModelForSequenceClassification"),Am=l(" forward method, overrides the "),Ws=r("code"),Nm=l("__call__"),Im=l(" special method."),Dm=g(),k(Ct.$$.fragment),Lm=g(),k(zt.$$.fragment),Xm=g(),k(Pt.$$.fragment),Um=g(),k(At.$$.fragment),Qm=g(),Nt=r("div"),k(Bo.$$.fragment),Vm=g(),Hs=r("p"),Wm=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Vr=g(),We=r("h2"),It=r("a"),Bs=r("span"),k(Go.$$.fragment),Hm=g(),Gs=r("span"),Bm=l("ORTModelForSpeechSeq2Seq"),Wr=g(),se=r("div"),k(Jo.$$.fragment),Gm=g(),Js=r("p"),Jm=l("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Ym=g(),Dt=r("div"),k(Yo.$$.fragment),Km=g(),Ko=r("p"),Zm=l("Returns True to validate the check that the model using "),Ys=r("code"),ed=l("GenerationMixin.generate()"),td=l(" can indeed generate."),od=g(),K=r("div"),k(Zo.$$.fragment),nd=g(),He=r("p"),sd=l("The "),Ks=r("code"),rd=l("ORTModelForSpeechSeq2Seq"),ad=l(" forward method, overrides the "),Zs=r("code"),id=l("__call__"),ld=l(" special method."),pd=g(),k(Lt.$$.fragment),md=g(),k(Xt.$$.fragment),dd=g(),k(Ut.$$.fragment),Hr=g(),Be=r("h2"),Qt=r("a"),er=r("span"),k(en.$$.fragment),cd=g(),tr=r("span"),ud=l("ORTModelForTokenClassification"),Br=g(),L=r("div"),k(tn.$$.fragment),gd=g(),or=r("p"),hd=l(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),fd=g(),on=r("p"),_d=l("This model inherits from [~"),nr=r("code"),$d=l("onnxruntime.modeling_ort.ORTModel"),vd=l(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),xd=g(),sr=r("p"),kd=l("Token Classification model for ONNX."),wd=g(),Z=r("div"),k(nn.$$.fragment),bd=g(),Ge=r("p"),Td=l("The "),rr=r("code"),Od=l("ORTModelForTokenClassification"),Md=l(" forward method, overrides the "),ar=r("code"),yd=l("__call__"),qd=l(" special method."),Ed=g(),k(Vt.$$.fragment),jd=g(),k(Wt.$$.fragment),Rd=g(),k(Ht.$$.fragment),Fd=g(),Bt=r("div"),k(sn.$$.fragment),Sd=g(),ir=r("p"),Cd=l("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const v=vu('[data-svelte="svelte-1phssyn"]',document.head);s=a(v,"META",{name:!0,content:!0}),v.forEach(t),_=h(o),c=a(o,"H1",{class:!0});var rn=i(c);u=a(rn,"A",{id:!0,class:!0,href:!0});var lr=i(u);f=a(lr,"SPAN",{});var pr=i(f);w(n.$$.fragment,pr),pr.forEach(t),lr.forEach(t),m=h(rn),y=a(rn,"SPAN",{});var mr=i(y);d=p(mr,"Models"),mr.forEach(t),rn.forEach(t),$=h(o),j=a(o,"H2",{class:!0});var an=i(j);Je=a(an,"A",{id:!0,class:!0,href:!0});var dr=i(Je);wn=a(dr,"SPAN",{});var cr=i(wn);w(Kt.$$.fragment,cr),cr.forEach(t),dr.forEach(t),Ea=h(an),bn=a(an,"SPAN",{});var ur=i(bn);ja=p(ur,"ORTModel"),ur.forEach(t),an.forEach(t),qr=h(o),F=a(o,"DIV",{class:!0});var S=i(F);w(Zt.$$.fragment,S),Ra=h(S),Tn=a(S,"P",{});var gr=i(Tn);Fa=p(gr,"Base class for implementing models using ONNX Runtime."),gr.forEach(t),Sa=h(S),eo=a(S,"P",{});var ln=i(eo);Ca=p(ln,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),On=a(ln,"CODE",{});var hr=i(On);za=p(hr,"optimum.exporters.onnx"),hr.forEach(t),Pa=p(ln," toolchain."),ln.forEach(t),Aa=h(S),Mn=a(S,"P",{});var fr=i(Mn);Na=p(fr,"Class attributes:"),fr.forEach(t),Ia=h(S),to=a(S,"UL",{});var pn=i(to);ge=a(pn,"LI",{});var fe=i(ge);Da=p(fe,"model_type ("),yn=a(fe,"CODE",{});var _r=i(yn);La=p(_r,"str"),_r.forEach(t),Xa=p(fe,", "),qn=a(fe,"EM",{});var $r=i(qn);Ua=p($r,"optional"),$r.forEach(t),Qa=p(fe,", defaults to "),En=a(fe,"CODE",{});var vr=i(En);Va=p(vr,'"onnx_model"'),vr.forEach(t),Wa=p(fe,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),fe.forEach(t),Ha=h(pn),he=a(pn,"LI",{});var _e=i(he);Ba=p(_e,"auto_model_class ("),jn=a(_e,"CODE",{});var xr=i(jn);Ga=p(xr,"Type"),xr.forEach(t),Ja=p(_e,", "),Rn=a(_e,"EM",{});var kr=i(Rn);Ya=p(kr,"optional"),kr.forEach(t),Ka=p(_e,", defaults to "),Fn=a(_e,"CODE",{});var wr=i(Fn);Za=p(wr,"AutoModel"),wr.forEach(t),ei=p(_e,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),_e.forEach(t),pn.forEach(t),ti=h(S),Sn=a(S,"P",{});var br=i(Sn);oi=p(br,"Common attributes:"),br.forEach(t),ni=h(S),ee=a(S,"UL",{});var re=i(ee);oo=a(re,"LI",{});var mn=i(oo);si=p(mn,"model ("),Cn=a(mn,"CODE",{});var Tr=i(Cn);ri=p(Tr,"ort.InferenceSession"),Tr.forEach(t),ai=p(mn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),mn.forEach(t),ii=h(re),no=a(re,"LI",{});var dn=i(no);li=p(dn,"config ("),so=a(dn,"A",{href:!0,rel:!0});var Or=i(so);pi=p(Or,"PretrainedConfig"),Or.forEach(t),mi=p(dn," \u2014 The configuration of the model."),dn.forEach(t),di=h(re),te=a(re,"LI",{});var ae=i(te);ci=p(ae,"use_io_binding ("),zn=a(ae,"CODE",{});var Mr=i(zn);ui=p(Mr,"bool"),Mr.forEach(t),gi=p(ae,", "),Pn=a(ae,"EM",{});var yr=i(Pn);hi=p(yr,"optional"),yr.forEach(t),fi=p(ae,", defaults to "),An=a(ae,"CODE",{});var zd=i(An);_i=p(zd,"True"),zd.forEach(t),$i=p(ae,") \u2014 Whether to use I/O bindings with "),Nn=a(ae,"STRONG",{});var Pd=i(Nn);vi=p(Pd,`ONNX Runtime
with the CUDAExecutionProvider`),Pd.forEach(t),xi=p(ae,", this can significantly speedup inference depending on the task."),ae.forEach(t),ki=h(re),ro=a(re,"LI",{});var Jr=i(ro);wi=p(Jr,"model_save_dir ("),In=a(Jr,"CODE",{});var Ad=i(In);bi=p(Ad,"Path"),Ad.forEach(t),Ti=p(Jr,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Jr.forEach(t),Oi=h(re),Dn=a(re,"LI",{});var Nd=i(Dn);Mi=p(Nd,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Nd.forEach(t),re.forEach(t),yi=h(S),Ye=a(S,"DIV",{class:!0});var Yr=i(Ye);w(ao.$$.fragment,Yr),qi=h(Yr),Ln=a(Yr,"P",{});var Id=i(Ln);Ei=p(Id,"Instantiate a pretrained model from a pre-trained model configuration."),Id.forEach(t),Yr.forEach(t),ji=h(S),Ke=a(S,"DIV",{class:!0});var Kr=i(Ke);w(io.$$.fragment,Kr),Ri=h(Kr),lo=a(Kr,"P",{});var Zr=i(lo);Fi=p(Zr,"Loads an ONNX Inference session with a given provider. Default provider is "),Xn=a(Zr,"CODE",{});var Dd=i(Xn);Si=p(Dd,"CPUExecutionProvider"),Dd.forEach(t),Ci=p(Zr,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Zr.forEach(t),Kr.forEach(t),zi=h(S),Ze=a(S,"DIV",{class:!0});var ea=i(Ze);w(po.$$.fragment,ea),Pi=h(ea),Un=a(ea,"P",{});var Ld=i(Un);Ai=p(Ld,"Changes the ONNX Runtime provider according to the device."),Ld.forEach(t),ea.forEach(t),S.forEach(t),Er=h(o),je=a(o,"H2",{class:!0});var ta=i(je);et=a(ta,"A",{id:!0,class:!0,href:!0});var Xd=i(et);Qn=a(Xd,"SPAN",{});var Ud=i(Qn);w(mo.$$.fragment,Ud),Ud.forEach(t),Xd.forEach(t),Ni=h(ta),Vn=a(ta,"SPAN",{});var Qd=i(Vn);Ii=p(Qd,"ORTModelForCausalLM"),Qd.forEach(t),ta.forEach(t),jr=h(o),oe=a(o,"DIV",{class:!0});var Gt=i(oe);w(co.$$.fragment,Gt),Di=h(Gt),Wn=a(Gt,"P",{});var Vd=i(Wn);Li=p(Vd,"ONNX model with a causal language modeling head for ONNX Runtime inference."),Vd.forEach(t),Xi=h(Gt),tt=a(Gt,"DIV",{class:!0});var oa=i(tt);w(uo.$$.fragment,oa),Ui=h(oa),go=a(oa,"P",{});var na=i(go);Qi=p(na,"Returns True to validate the check that the model using "),Hn=a(na,"CODE",{});var Wd=i(Hn);Vi=p(Wd,"GenerationMixin.generate()"),Wd.forEach(t),Wi=p(na," can indeed generate."),na.forEach(t),oa.forEach(t),Hi=h(Gt),V=a(Gt,"DIV",{class:!0});var $e=i(V);w(ho.$$.fragment,$e),Bi=h($e),Re=a($e,"P",{});var cn=i(Re);Gi=p(cn,"The "),Bn=a(cn,"CODE",{});var Hd=i(Bn);Ji=p(Hd,"ORTModelForCausalLM"),Hd.forEach(t),Yi=p(cn," forward method, overrides the "),Gn=a(cn,"CODE",{});var Bd=i(Gn);Ki=p(Bd,"__call__"),Bd.forEach(t),Zi=p(cn," special method."),cn.forEach(t),el=h($e),w(ot.$$.fragment,$e),tl=h($e),w(nt.$$.fragment,$e),ol=h($e),w(st.$$.fragment,$e),$e.forEach(t),Gt.forEach(t),Rr=h(o),Fe=a(o,"H2",{class:!0});var sa=i(Fe);rt=a(sa,"A",{id:!0,class:!0,href:!0});var Gd=i(rt);Jn=a(Gd,"SPAN",{});var Jd=i(Jn);w(fo.$$.fragment,Jd),Jd.forEach(t),Gd.forEach(t),nl=h(sa),Yn=a(sa,"SPAN",{});var Yd=i(Yn);sl=p(Yd,"ORTModelForCustomTasks"),Yd.forEach(t),sa.forEach(t),Fr=h(o),U=a(o,"DIV",{class:!0});var ve=i(U);w(_o.$$.fragment,ve),rl=h(ve),Kn=a(ve,"P",{});var Kd=i(Kn);al=p(Kd,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Kd.forEach(t),il=h(ve),$o=a(ve,"P",{});var ra=i($o);ll=p(ra,"This model inherits from [~"),Zn=a(ra,"CODE",{});var Zd=i(Zn);pl=p(Zd,"onnxruntime.modeling_ort.ORTModel"),Zd.forEach(t),ml=p(ra,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ra.forEach(t),dl=h(ve),es=a(ve,"P",{});var ec=i(es);cl=p(ec,"Model for any custom tasks if the ONNX model is stored in a single file."),ec.forEach(t),ul=h(ve),W=a(ve,"DIV",{class:!0});var xe=i(W);w(vo.$$.fragment,xe),gl=h(xe),Se=a(xe,"P",{});var un=i(Se);hl=p(un,"The "),ts=a(un,"CODE",{});var tc=i(ts);fl=p(tc,"ORTModelForCustomTasks"),tc.forEach(t),_l=p(un," forward method, overrides the "),os=a(un,"CODE",{});var oc=i(os);$l=p(oc,"__call__"),oc.forEach(t),vl=p(un," special method."),un.forEach(t),xl=h(xe),w(at.$$.fragment,xe),kl=h(xe),w(it.$$.fragment,xe),wl=h(xe),w(lt.$$.fragment,xe),xe.forEach(t),ve.forEach(t),Sr=h(o),Ce=a(o,"H2",{class:!0});var aa=i(Ce);pt=a(aa,"A",{id:!0,class:!0,href:!0});var nc=i(pt);ns=a(nc,"SPAN",{});var sc=i(ns);w(xo.$$.fragment,sc),sc.forEach(t),nc.forEach(t),bl=h(aa),ss=a(aa,"SPAN",{});var rc=i(ss);Tl=p(rc,"ORTModelForFeatureExtraction"),rc.forEach(t),aa.forEach(t),Cr=h(o),A=a(o,"DIV",{class:!0});var ie=i(A);w(ko.$$.fragment,ie),Ol=h(ie),rs=a(ie,"P",{});var ac=i(rs);Ml=p(ac,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),ac.forEach(t),yl=h(ie),wo=a(ie,"P",{});var ia=i(wo);ql=p(ia,"This model inherits from [~"),as=a(ia,"CODE",{});var ic=i(as);El=p(ic,"onnxruntime.modeling_ort.ORTModel"),ic.forEach(t),jl=p(ia,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ia.forEach(t),Rl=h(ie),is=a(ie,"P",{});var lc=i(is);Fl=p(lc,"Feature Extraction model for ONNX."),lc.forEach(t),Sl=h(ie),H=a(ie,"DIV",{class:!0});var ke=i(H);w(bo.$$.fragment,ke),Cl=h(ke),ze=a(ke,"P",{});var gn=i(ze);zl=p(gn,"The "),ls=a(gn,"CODE",{});var pc=i(ls);Pl=p(pc,"ORTModelForFeatureExtraction"),pc.forEach(t),Al=p(gn," forward method, overrides the "),ps=a(gn,"CODE",{});var mc=i(ps);Nl=p(mc,"__call__"),mc.forEach(t),Il=p(gn," special method."),gn.forEach(t),Dl=h(ke),w(mt.$$.fragment,ke),Ll=h(ke),w(dt.$$.fragment,ke),Xl=h(ke),w(ct.$$.fragment,ke),ke.forEach(t),Ul=h(ie),ut=a(ie,"DIV",{class:!0});var la=i(ut);w(To.$$.fragment,la),Ql=h(la),ms=a(la,"P",{});var dc=i(ms);Vl=p(dc,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),dc.forEach(t),la.forEach(t),ie.forEach(t),zr=h(o),Pe=a(o,"H2",{class:!0});var pa=i(Pe);gt=a(pa,"A",{id:!0,class:!0,href:!0});var cc=i(gt);ds=a(cc,"SPAN",{});var uc=i(ds);w(Oo.$$.fragment,uc),uc.forEach(t),cc.forEach(t),Wl=h(pa),cs=a(pa,"SPAN",{});var gc=i(cs);Hl=p(gc,"ORTModelForImageClassification"),gc.forEach(t),pa.forEach(t),Pr=h(o),N=a(o,"DIV",{class:!0});var le=i(N);w(Mo.$$.fragment,le),Bl=h(le),us=a(le,"P",{});var hc=i(us);Gl=p(hc,"Onnx Model for image-classification tasks."),hc.forEach(t),Jl=h(le),yo=a(le,"P",{});var ma=i(yo);Yl=p(ma,"This model inherits from [~"),gs=a(ma,"CODE",{});var fc=i(gs);Kl=p(fc,"onnxruntime.modeling_ort.ORTModel"),fc.forEach(t),Zl=p(ma,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ma.forEach(t),ep=h(le),hs=a(le,"P",{});var _c=i(hs);tp=p(_c,"Image Classification model for ONNX."),_c.forEach(t),op=h(le),B=a(le,"DIV",{class:!0});var we=i(B);w(qo.$$.fragment,we),np=h(we),Ae=a(we,"P",{});var hn=i(Ae);sp=p(hn,"The "),fs=a(hn,"CODE",{});var $c=i(fs);rp=p($c,"ORTModelForImageClassification"),$c.forEach(t),ap=p(hn," forward method, overrides the "),_s=a(hn,"CODE",{});var vc=i(_s);ip=p(vc,"__call__"),vc.forEach(t),lp=p(hn," special method."),hn.forEach(t),pp=h(we),w(ht.$$.fragment,we),mp=h(we),w(ft.$$.fragment,we),dp=h(we),w(_t.$$.fragment,we),we.forEach(t),cp=h(le),$t=a(le,"DIV",{class:!0});var da=i($t);w(Eo.$$.fragment,da),up=h(da),$s=a(da,"P",{});var xc=i($s);gp=p(xc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),xc.forEach(t),da.forEach(t),le.forEach(t),Ar=h(o),Ne=a(o,"H2",{class:!0});var ca=i(Ne);vt=a(ca,"A",{id:!0,class:!0,href:!0});var kc=i(vt);vs=a(kc,"SPAN",{});var wc=i(vs);w(jo.$$.fragment,wc),wc.forEach(t),kc.forEach(t),hp=h(ca),xs=a(ca,"SPAN",{});var bc=i(xs);fp=p(bc,"ORTModelForQuestionAnswering"),bc.forEach(t),ca.forEach(t),Nr=h(o),I=a(o,"DIV",{class:!0});var pe=i(I);w(Ro.$$.fragment,pe),_p=h(pe),ks=a(pe,"P",{});var Tc=i(ks);$p=p(Tc,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Tc.forEach(t),vp=h(pe),Fo=a(pe,"P",{});var ua=i(Fo);xp=p(ua,"This model inherits from [~"),ws=a(ua,"CODE",{});var Oc=i(ws);kp=p(Oc,"onnxruntime.modeling_ort.ORTModel"),Oc.forEach(t),wp=p(ua,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ua.forEach(t),bp=h(pe),bs=a(pe,"P",{});var Mc=i(bs);Tp=p(Mc,"Question Answering model for ONNX."),Mc.forEach(t),Op=h(pe),G=a(pe,"DIV",{class:!0});var be=i(G);w(So.$$.fragment,be),Mp=h(be),Ie=a(be,"P",{});var fn=i(Ie);yp=p(fn,"The "),Ts=a(fn,"CODE",{});var yc=i(Ts);qp=p(yc,"ORTModelForQuestionAnswering"),yc.forEach(t),Ep=p(fn," forward method, overrides the "),Os=a(fn,"CODE",{});var qc=i(Os);jp=p(qc,"__call__"),qc.forEach(t),Rp=p(fn," special method."),fn.forEach(t),Fp=h(be),w(xt.$$.fragment,be),Sp=h(be),w(kt.$$.fragment,be),Cp=h(be),w(wt.$$.fragment,be),be.forEach(t),zp=h(pe),bt=a(pe,"DIV",{class:!0});var ga=i(bt);w(Co.$$.fragment,ga),Pp=h(ga),Ms=a(ga,"P",{});var Ec=i(Ms);Ap=p(Ec,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Ec.forEach(t),ga.forEach(t),pe.forEach(t),Ir=h(o),De=a(o,"H2",{class:!0});var ha=i(De);Tt=a(ha,"A",{id:!0,class:!0,href:!0});var jc=i(Tt);ys=a(jc,"SPAN",{});var Rc=i(ys);w(zo.$$.fragment,Rc),Rc.forEach(t),jc.forEach(t),Np=h(ha),qs=a(ha,"SPAN",{});var Fc=i(qs);Ip=p(Fc,"ORTModelForSemanticSegmentation"),Fc.forEach(t),ha.forEach(t),Dr=h(o),Q=a(o,"DIV",{class:!0});var Te=i(Q);w(Po.$$.fragment,Te),Dp=h(Te),Es=a(Te,"P",{});var Sc=i(Es);Lp=p(Sc,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Sc.forEach(t),Xp=h(Te),Ao=a(Te,"P",{});var fa=i(Ao);Up=p(fa,"This model inherits from [~"),js=a(fa,"CODE",{});var Cc=i(js);Qp=p(Cc,"onnxruntime.modeling_ort.ORTModel"),Cc.forEach(t),Vp=p(fa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),fa.forEach(t),Wp=h(Te),Rs=a(Te,"P",{});var zc=i(Rs);Hp=p(zc,"Semantic Segmentation model for ONNX."),zc.forEach(t),Bp=h(Te),J=a(Te,"DIV",{class:!0});var Oe=i(J);w(No.$$.fragment,Oe),Gp=h(Oe),Le=a(Oe,"P",{});var _n=i(Le);Jp=p(_n,"The "),Fs=a(_n,"CODE",{});var Pc=i(Fs);Yp=p(Pc,"ORTModelForSemanticSegmentation"),Pc.forEach(t),Kp=p(_n," forward method, overrides the "),Ss=a(_n,"CODE",{});var Ac=i(Ss);Zp=p(Ac,"__call__"),Ac.forEach(t),em=p(_n," special method."),_n.forEach(t),tm=h(Oe),w(Ot.$$.fragment,Oe),om=h(Oe),w(Mt.$$.fragment,Oe),nm=h(Oe),w(yt.$$.fragment,Oe),Oe.forEach(t),Te.forEach(t),Lr=h(o),Xe=a(o,"H2",{class:!0});var _a=i(Xe);qt=a(_a,"A",{id:!0,class:!0,href:!0});var Nc=i(qt);Cs=a(Nc,"SPAN",{});var Ic=i(Cs);w(Io.$$.fragment,Ic),Ic.forEach(t),Nc.forEach(t),sm=h(_a),zs=a(_a,"SPAN",{});var Dc=i(zs);rm=p(Dc,"ORTModelForSeq2SeqLM"),Dc.forEach(t),_a.forEach(t),Xr=h(o),ne=a(o,"DIV",{class:!0});var Jt=i(ne);w(Do.$$.fragment,Jt),am=h(Jt),Ps=a(Jt,"P",{});var Lc=i(Ps);im=p(Lc,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Lc.forEach(t),lm=h(Jt),Et=a(Jt,"DIV",{class:!0});var $a=i(Et);w(Lo.$$.fragment,$a),pm=h($a),Xo=a($a,"P",{});var va=i(Xo);mm=p(va,"Returns True to validate the check that the model using "),As=a(va,"CODE",{});var Xc=i(As);dm=p(Xc,"GenerationMixin.generate()"),Xc.forEach(t),cm=p(va," can indeed generate."),va.forEach(t),$a.forEach(t),um=h(Jt),Y=a(Jt,"DIV",{class:!0});var Me=i(Y);w(Uo.$$.fragment,Me),gm=h(Me),Ue=a(Me,"P",{});var $n=i(Ue);hm=p($n,"The "),Ns=a($n,"CODE",{});var Uc=i(Ns);fm=p(Uc,"ORTModelForSeq2SeqLM"),Uc.forEach(t),_m=p($n," forward method, overrides the "),Is=a($n,"CODE",{});var Qc=i(Is);$m=p(Qc,"__call__"),Qc.forEach(t),vm=p($n," special method."),$n.forEach(t),xm=h(Me),w(jt.$$.fragment,Me),km=h(Me),w(Rt.$$.fragment,Me),wm=h(Me),w(Ft.$$.fragment,Me),Me.forEach(t),Jt.forEach(t),Ur=h(o),Qe=a(o,"H2",{class:!0});var xa=i(Qe);St=a(xa,"A",{id:!0,class:!0,href:!0});var Vc=i(St);Ds=a(Vc,"SPAN",{});var Wc=i(Ds);w(Qo.$$.fragment,Wc),Wc.forEach(t),Vc.forEach(t),bm=h(xa),Ls=a(xa,"SPAN",{});var Hc=i(Ls);Tm=p(Hc,"ORTModelForSequenceClassification"),Hc.forEach(t),xa.forEach(t),Qr=h(o),D=a(o,"DIV",{class:!0});var me=i(D);w(Vo.$$.fragment,me),Om=h(me),Xs=a(me,"P",{});var Bc=i(Xs);Mm=p(Bc,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Bc.forEach(t),ym=h(me),Wo=a(me,"P",{});var ka=i(Wo);qm=p(ka,"This model inherits from [~"),Us=a(ka,"CODE",{});var Gc=i(Us);Em=p(Gc,"onnxruntime.modeling_ort.ORTModel"),Gc.forEach(t),jm=p(ka,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ka.forEach(t),Rm=h(me),Qs=a(me,"P",{});var Jc=i(Qs);Fm=p(Jc,"Sequence Classification model for ONNX."),Jc.forEach(t),Sm=h(me),X=a(me,"DIV",{class:!0});var de=i(X);w(Ho.$$.fragment,de),Cm=h(de),Ve=a(de,"P",{});var vn=i(Ve);zm=p(vn,"The "),Vs=a(vn,"CODE",{});var Yc=i(Vs);Pm=p(Yc,"ORTModelForSequenceClassification"),Yc.forEach(t),Am=p(vn," forward method, overrides the "),Ws=a(vn,"CODE",{});var Kc=i(Ws);Nm=p(Kc,"__call__"),Kc.forEach(t),Im=p(vn," special method."),vn.forEach(t),Dm=h(de),w(Ct.$$.fragment,de),Lm=h(de),w(zt.$$.fragment,de),Xm=h(de),w(Pt.$$.fragment,de),Um=h(de),w(At.$$.fragment,de),de.forEach(t),Qm=h(me),Nt=a(me,"DIV",{class:!0});var wa=i(Nt);w(Bo.$$.fragment,wa),Vm=h(wa),Hs=a(wa,"P",{});var Zc=i(Hs);Wm=p(Zc,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Zc.forEach(t),wa.forEach(t),me.forEach(t),Vr=h(o),We=a(o,"H2",{class:!0});var ba=i(We);It=a(ba,"A",{id:!0,class:!0,href:!0});var eu=i(It);Bs=a(eu,"SPAN",{});var tu=i(Bs);w(Go.$$.fragment,tu),tu.forEach(t),eu.forEach(t),Hm=h(ba),Gs=a(ba,"SPAN",{});var ou=i(Gs);Bm=p(ou,"ORTModelForSpeechSeq2Seq"),ou.forEach(t),ba.forEach(t),Wr=h(o),se=a(o,"DIV",{class:!0});var Yt=i(se);w(Jo.$$.fragment,Yt),Gm=h(Yt),Js=a(Yt,"P",{});var nu=i(Js);Jm=p(nu,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),nu.forEach(t),Ym=h(Yt),Dt=a(Yt,"DIV",{class:!0});var Ta=i(Dt);w(Yo.$$.fragment,Ta),Km=h(Ta),Ko=a(Ta,"P",{});var Oa=i(Ko);Zm=p(Oa,"Returns True to validate the check that the model using "),Ys=a(Oa,"CODE",{});var su=i(Ys);ed=p(su,"GenerationMixin.generate()"),su.forEach(t),td=p(Oa," can indeed generate."),Oa.forEach(t),Ta.forEach(t),od=h(Yt),K=a(Yt,"DIV",{class:!0});var ye=i(K);w(Zo.$$.fragment,ye),nd=h(ye),He=a(ye,"P",{});var xn=i(He);sd=p(xn,"The "),Ks=a(xn,"CODE",{});var ru=i(Ks);rd=p(ru,"ORTModelForSpeechSeq2Seq"),ru.forEach(t),ad=p(xn," forward method, overrides the "),Zs=a(xn,"CODE",{});var au=i(Zs);id=p(au,"__call__"),au.forEach(t),ld=p(xn," special method."),xn.forEach(t),pd=h(ye),w(Lt.$$.fragment,ye),md=h(ye),w(Xt.$$.fragment,ye),dd=h(ye),w(Ut.$$.fragment,ye),ye.forEach(t),Yt.forEach(t),Hr=h(o),Be=a(o,"H2",{class:!0});var Ma=i(Be);Qt=a(Ma,"A",{id:!0,class:!0,href:!0});var iu=i(Qt);er=a(iu,"SPAN",{});var lu=i(er);w(en.$$.fragment,lu),lu.forEach(t),iu.forEach(t),cd=h(Ma),tr=a(Ma,"SPAN",{});var pu=i(tr);ud=p(pu,"ORTModelForTokenClassification"),pu.forEach(t),Ma.forEach(t),Br=h(o),L=a(o,"DIV",{class:!0});var ce=i(L);w(tn.$$.fragment,ce),gd=h(ce),or=a(ce,"P",{});var mu=i(or);hd=p(mu,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),mu.forEach(t),fd=h(ce),on=a(ce,"P",{});var ya=i(on);_d=p(ya,"This model inherits from [~"),nr=a(ya,"CODE",{});var du=i(nr);$d=p(du,"onnxruntime.modeling_ort.ORTModel"),du.forEach(t),vd=p(ya,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ya.forEach(t),xd=h(ce),sr=a(ce,"P",{});var cu=i(sr);kd=p(cu,"Token Classification model for ONNX."),cu.forEach(t),wd=h(ce),Z=a(ce,"DIV",{class:!0});var qe=i(Z);w(nn.$$.fragment,qe),bd=h(qe),Ge=a(qe,"P",{});var kn=i(Ge);Td=p(kn,"The "),rr=a(kn,"CODE",{});var uu=i(rr);Od=p(uu,"ORTModelForTokenClassification"),uu.forEach(t),Md=p(kn," forward method, overrides the "),ar=a(kn,"CODE",{});var gu=i(ar);yd=p(gu,"__call__"),gu.forEach(t),qd=p(kn," special method."),kn.forEach(t),Ed=h(qe),w(Vt.$$.fragment,qe),jd=h(qe),w(Wt.$$.fragment,qe),Rd=h(qe),w(Ht.$$.fragment,qe),qe.forEach(t),Fd=h(ce),Bt=a(ce,"DIV",{class:!0});var qa=i(Bt);w(sn.$$.fragment,qa),Sd=h(qa),ir=a(qa,"P",{});var hu=i(ir);Cd=p(hu,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),hu.forEach(t),qa.forEach(t),ce.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(Zu)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(c,"class","relative group"),q(Je,"id","optimum.onnxruntime.ORTModel"),q(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Je,"href","#optimum.onnxruntime.ORTModel"),q(j,"class","relative group"),q(so,"href","https://huggingface.co/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),q(so,"rel","nofollow"),q(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(et,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(et,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(je,"class","relative group"),q(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(rt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(rt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(Fe,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(pt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(pt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ce,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(gt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(gt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Pe,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(vt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(vt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ne,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Tt,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Tt,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(De,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(qt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Xe,"class","relative group"),q(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(St,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(St,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(St,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Qe,"class","relative group"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(It,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(It,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(It,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(We,"class","relative group"),q(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Qt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Qt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Be,"class","relative group"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,v){e(document.head,s),x(o,_,v),x(o,c,v),e(c,u),e(u,f),b(n,f,null),e(c,m),e(c,y),e(y,d),x(o,$,v),x(o,j,v),e(j,Je),e(Je,wn),b(Kt,wn,null),e(j,Ea),e(j,bn),e(bn,ja),x(o,qr,v),x(o,F,v),b(Zt,F,null),e(F,Ra),e(F,Tn),e(Tn,Fa),e(F,Sa),e(F,eo),e(eo,Ca),e(eo,On),e(On,za),e(eo,Pa),e(F,Aa),e(F,Mn),e(Mn,Na),e(F,Ia),e(F,to),e(to,ge),e(ge,Da),e(ge,yn),e(yn,La),e(ge,Xa),e(ge,qn),e(qn,Ua),e(ge,Qa),e(ge,En),e(En,Va),e(ge,Wa),e(to,Ha),e(to,he),e(he,Ba),e(he,jn),e(jn,Ga),e(he,Ja),e(he,Rn),e(Rn,Ya),e(he,Ka),e(he,Fn),e(Fn,Za),e(he,ei),e(F,ti),e(F,Sn),e(Sn,oi),e(F,ni),e(F,ee),e(ee,oo),e(oo,si),e(oo,Cn),e(Cn,ri),e(oo,ai),e(ee,ii),e(ee,no),e(no,li),e(no,so),e(so,pi),e(no,mi),e(ee,di),e(ee,te),e(te,ci),e(te,zn),e(zn,ui),e(te,gi),e(te,Pn),e(Pn,hi),e(te,fi),e(te,An),e(An,_i),e(te,$i),e(te,Nn),e(Nn,vi),e(te,xi),e(ee,ki),e(ee,ro),e(ro,wi),e(ro,In),e(In,bi),e(ro,Ti),e(ee,Oi),e(ee,Dn),e(Dn,Mi),e(F,yi),e(F,Ye),b(ao,Ye,null),e(Ye,qi),e(Ye,Ln),e(Ln,Ei),e(F,ji),e(F,Ke),b(io,Ke,null),e(Ke,Ri),e(Ke,lo),e(lo,Fi),e(lo,Xn),e(Xn,Si),e(lo,Ci),e(F,zi),e(F,Ze),b(po,Ze,null),e(Ze,Pi),e(Ze,Un),e(Un,Ai),x(o,Er,v),x(o,je,v),e(je,et),e(et,Qn),b(mo,Qn,null),e(je,Ni),e(je,Vn),e(Vn,Ii),x(o,jr,v),x(o,oe,v),b(co,oe,null),e(oe,Di),e(oe,Wn),e(Wn,Li),e(oe,Xi),e(oe,tt),b(uo,tt,null),e(tt,Ui),e(tt,go),e(go,Qi),e(go,Hn),e(Hn,Vi),e(go,Wi),e(oe,Hi),e(oe,V),b(ho,V,null),e(V,Bi),e(V,Re),e(Re,Gi),e(Re,Bn),e(Bn,Ji),e(Re,Yi),e(Re,Gn),e(Gn,Ki),e(Re,Zi),e(V,el),b(ot,V,null),e(V,tl),b(nt,V,null),e(V,ol),b(st,V,null),x(o,Rr,v),x(o,Fe,v),e(Fe,rt),e(rt,Jn),b(fo,Jn,null),e(Fe,nl),e(Fe,Yn),e(Yn,sl),x(o,Fr,v),x(o,U,v),b(_o,U,null),e(U,rl),e(U,Kn),e(Kn,al),e(U,il),e(U,$o),e($o,ll),e($o,Zn),e(Zn,pl),e($o,ml),e(U,dl),e(U,es),e(es,cl),e(U,ul),e(U,W),b(vo,W,null),e(W,gl),e(W,Se),e(Se,hl),e(Se,ts),e(ts,fl),e(Se,_l),e(Se,os),e(os,$l),e(Se,vl),e(W,xl),b(at,W,null),e(W,kl),b(it,W,null),e(W,wl),b(lt,W,null),x(o,Sr,v),x(o,Ce,v),e(Ce,pt),e(pt,ns),b(xo,ns,null),e(Ce,bl),e(Ce,ss),e(ss,Tl),x(o,Cr,v),x(o,A,v),b(ko,A,null),e(A,Ol),e(A,rs),e(rs,Ml),e(A,yl),e(A,wo),e(wo,ql),e(wo,as),e(as,El),e(wo,jl),e(A,Rl),e(A,is),e(is,Fl),e(A,Sl),e(A,H),b(bo,H,null),e(H,Cl),e(H,ze),e(ze,zl),e(ze,ls),e(ls,Pl),e(ze,Al),e(ze,ps),e(ps,Nl),e(ze,Il),e(H,Dl),b(mt,H,null),e(H,Ll),b(dt,H,null),e(H,Xl),b(ct,H,null),e(A,Ul),e(A,ut),b(To,ut,null),e(ut,Ql),e(ut,ms),e(ms,Vl),x(o,zr,v),x(o,Pe,v),e(Pe,gt),e(gt,ds),b(Oo,ds,null),e(Pe,Wl),e(Pe,cs),e(cs,Hl),x(o,Pr,v),x(o,N,v),b(Mo,N,null),e(N,Bl),e(N,us),e(us,Gl),e(N,Jl),e(N,yo),e(yo,Yl),e(yo,gs),e(gs,Kl),e(yo,Zl),e(N,ep),e(N,hs),e(hs,tp),e(N,op),e(N,B),b(qo,B,null),e(B,np),e(B,Ae),e(Ae,sp),e(Ae,fs),e(fs,rp),e(Ae,ap),e(Ae,_s),e(_s,ip),e(Ae,lp),e(B,pp),b(ht,B,null),e(B,mp),b(ft,B,null),e(B,dp),b(_t,B,null),e(N,cp),e(N,$t),b(Eo,$t,null),e($t,up),e($t,$s),e($s,gp),x(o,Ar,v),x(o,Ne,v),e(Ne,vt),e(vt,vs),b(jo,vs,null),e(Ne,hp),e(Ne,xs),e(xs,fp),x(o,Nr,v),x(o,I,v),b(Ro,I,null),e(I,_p),e(I,ks),e(ks,$p),e(I,vp),e(I,Fo),e(Fo,xp),e(Fo,ws),e(ws,kp),e(Fo,wp),e(I,bp),e(I,bs),e(bs,Tp),e(I,Op),e(I,G),b(So,G,null),e(G,Mp),e(G,Ie),e(Ie,yp),e(Ie,Ts),e(Ts,qp),e(Ie,Ep),e(Ie,Os),e(Os,jp),e(Ie,Rp),e(G,Fp),b(xt,G,null),e(G,Sp),b(kt,G,null),e(G,Cp),b(wt,G,null),e(I,zp),e(I,bt),b(Co,bt,null),e(bt,Pp),e(bt,Ms),e(Ms,Ap),x(o,Ir,v),x(o,De,v),e(De,Tt),e(Tt,ys),b(zo,ys,null),e(De,Np),e(De,qs),e(qs,Ip),x(o,Dr,v),x(o,Q,v),b(Po,Q,null),e(Q,Dp),e(Q,Es),e(Es,Lp),e(Q,Xp),e(Q,Ao),e(Ao,Up),e(Ao,js),e(js,Qp),e(Ao,Vp),e(Q,Wp),e(Q,Rs),e(Rs,Hp),e(Q,Bp),e(Q,J),b(No,J,null),e(J,Gp),e(J,Le),e(Le,Jp),e(Le,Fs),e(Fs,Yp),e(Le,Kp),e(Le,Ss),e(Ss,Zp),e(Le,em),e(J,tm),b(Ot,J,null),e(J,om),b(Mt,J,null),e(J,nm),b(yt,J,null),x(o,Lr,v),x(o,Xe,v),e(Xe,qt),e(qt,Cs),b(Io,Cs,null),e(Xe,sm),e(Xe,zs),e(zs,rm),x(o,Xr,v),x(o,ne,v),b(Do,ne,null),e(ne,am),e(ne,Ps),e(Ps,im),e(ne,lm),e(ne,Et),b(Lo,Et,null),e(Et,pm),e(Et,Xo),e(Xo,mm),e(Xo,As),e(As,dm),e(Xo,cm),e(ne,um),e(ne,Y),b(Uo,Y,null),e(Y,gm),e(Y,Ue),e(Ue,hm),e(Ue,Ns),e(Ns,fm),e(Ue,_m),e(Ue,Is),e(Is,$m),e(Ue,vm),e(Y,xm),b(jt,Y,null),e(Y,km),b(Rt,Y,null),e(Y,wm),b(Ft,Y,null),x(o,Ur,v),x(o,Qe,v),e(Qe,St),e(St,Ds),b(Qo,Ds,null),e(Qe,bm),e(Qe,Ls),e(Ls,Tm),x(o,Qr,v),x(o,D,v),b(Vo,D,null),e(D,Om),e(D,Xs),e(Xs,Mm),e(D,ym),e(D,Wo),e(Wo,qm),e(Wo,Us),e(Us,Em),e(Wo,jm),e(D,Rm),e(D,Qs),e(Qs,Fm),e(D,Sm),e(D,X),b(Ho,X,null),e(X,Cm),e(X,Ve),e(Ve,zm),e(Ve,Vs),e(Vs,Pm),e(Ve,Am),e(Ve,Ws),e(Ws,Nm),e(Ve,Im),e(X,Dm),b(Ct,X,null),e(X,Lm),b(zt,X,null),e(X,Xm),b(Pt,X,null),e(X,Um),b(At,X,null),e(D,Qm),e(D,Nt),b(Bo,Nt,null),e(Nt,Vm),e(Nt,Hs),e(Hs,Wm),x(o,Vr,v),x(o,We,v),e(We,It),e(It,Bs),b(Go,Bs,null),e(We,Hm),e(We,Gs),e(Gs,Bm),x(o,Wr,v),x(o,se,v),b(Jo,se,null),e(se,Gm),e(se,Js),e(Js,Jm),e(se,Ym),e(se,Dt),b(Yo,Dt,null),e(Dt,Km),e(Dt,Ko),e(Ko,Zm),e(Ko,Ys),e(Ys,ed),e(Ko,td),e(se,od),e(se,K),b(Zo,K,null),e(K,nd),e(K,He),e(He,sd),e(He,Ks),e(Ks,rd),e(He,ad),e(He,Zs),e(Zs,id),e(He,ld),e(K,pd),b(Lt,K,null),e(K,md),b(Xt,K,null),e(K,dd),b(Ut,K,null),x(o,Hr,v),x(o,Be,v),e(Be,Qt),e(Qt,er),b(en,er,null),e(Be,cd),e(Be,tr),e(tr,ud),x(o,Br,v),x(o,L,v),b(tn,L,null),e(L,gd),e(L,or),e(or,hd),e(L,fd),e(L,on),e(on,_d),e(on,nr),e(nr,$d),e(on,vd),e(L,xd),e(L,sr),e(sr,kd),e(L,wd),e(L,Z),b(nn,Z,null),e(Z,bd),e(Z,Ge),e(Ge,Td),e(Ge,rr),e(rr,Od),e(Ge,Md),e(Ge,ar),e(ar,yd),e(Ge,qd),e(Z,Ed),b(Vt,Z,null),e(Z,jd),b(Wt,Z,null),e(Z,Rd),b(Ht,Z,null),e(L,Fd),e(L,Bt),b(sn,Bt,null),e(Bt,Sd),e(Bt,ir),e(ir,Cd),Gr=!0},p(o,[v]){const rn={};v&2&&(rn.$$scope={dirty:v,ctx:o}),ot.$set(rn);const lr={};v&2&&(lr.$$scope={dirty:v,ctx:o}),nt.$set(lr);const pr={};v&2&&(pr.$$scope={dirty:v,ctx:o}),st.$set(pr);const mr={};v&2&&(mr.$$scope={dirty:v,ctx:o}),at.$set(mr);const an={};v&2&&(an.$$scope={dirty:v,ctx:o}),it.$set(an);const dr={};v&2&&(dr.$$scope={dirty:v,ctx:o}),lt.$set(dr);const cr={};v&2&&(cr.$$scope={dirty:v,ctx:o}),mt.$set(cr);const ur={};v&2&&(ur.$$scope={dirty:v,ctx:o}),dt.$set(ur);const S={};v&2&&(S.$$scope={dirty:v,ctx:o}),ct.$set(S);const gr={};v&2&&(gr.$$scope={dirty:v,ctx:o}),ht.$set(gr);const ln={};v&2&&(ln.$$scope={dirty:v,ctx:o}),ft.$set(ln);const hr={};v&2&&(hr.$$scope={dirty:v,ctx:o}),_t.$set(hr);const fr={};v&2&&(fr.$$scope={dirty:v,ctx:o}),xt.$set(fr);const pn={};v&2&&(pn.$$scope={dirty:v,ctx:o}),kt.$set(pn);const fe={};v&2&&(fe.$$scope={dirty:v,ctx:o}),wt.$set(fe);const _r={};v&2&&(_r.$$scope={dirty:v,ctx:o}),Ot.$set(_r);const $r={};v&2&&($r.$$scope={dirty:v,ctx:o}),Mt.$set($r);const vr={};v&2&&(vr.$$scope={dirty:v,ctx:o}),yt.$set(vr);const _e={};v&2&&(_e.$$scope={dirty:v,ctx:o}),jt.$set(_e);const xr={};v&2&&(xr.$$scope={dirty:v,ctx:o}),Rt.$set(xr);const kr={};v&2&&(kr.$$scope={dirty:v,ctx:o}),Ft.$set(kr);const wr={};v&2&&(wr.$$scope={dirty:v,ctx:o}),Ct.$set(wr);const br={};v&2&&(br.$$scope={dirty:v,ctx:o}),zt.$set(br);const re={};v&2&&(re.$$scope={dirty:v,ctx:o}),Pt.$set(re);const mn={};v&2&&(mn.$$scope={dirty:v,ctx:o}),At.$set(mn);const Tr={};v&2&&(Tr.$$scope={dirty:v,ctx:o}),Lt.$set(Tr);const dn={};v&2&&(dn.$$scope={dirty:v,ctx:o}),Xt.$set(dn);const Or={};v&2&&(Or.$$scope={dirty:v,ctx:o}),Ut.$set(Or);const ae={};v&2&&(ae.$$scope={dirty:v,ctx:o}),Vt.$set(ae);const Mr={};v&2&&(Mr.$$scope={dirty:v,ctx:o}),Wt.$set(Mr);const yr={};v&2&&(yr.$$scope={dirty:v,ctx:o}),Ht.$set(yr)},i(o){Gr||(T(n.$$.fragment,o),T(Kt.$$.fragment,o),T(Zt.$$.fragment,o),T(ao.$$.fragment,o),T(io.$$.fragment,o),T(po.$$.fragment,o),T(mo.$$.fragment,o),T(co.$$.fragment,o),T(uo.$$.fragment,o),T(ho.$$.fragment,o),T(ot.$$.fragment,o),T(nt.$$.fragment,o),T(st.$$.fragment,o),T(fo.$$.fragment,o),T(_o.$$.fragment,o),T(vo.$$.fragment,o),T(at.$$.fragment,o),T(it.$$.fragment,o),T(lt.$$.fragment,o),T(xo.$$.fragment,o),T(ko.$$.fragment,o),T(bo.$$.fragment,o),T(mt.$$.fragment,o),T(dt.$$.fragment,o),T(ct.$$.fragment,o),T(To.$$.fragment,o),T(Oo.$$.fragment,o),T(Mo.$$.fragment,o),T(qo.$$.fragment,o),T(ht.$$.fragment,o),T(ft.$$.fragment,o),T(_t.$$.fragment,o),T(Eo.$$.fragment,o),T(jo.$$.fragment,o),T(Ro.$$.fragment,o),T(So.$$.fragment,o),T(xt.$$.fragment,o),T(kt.$$.fragment,o),T(wt.$$.fragment,o),T(Co.$$.fragment,o),T(zo.$$.fragment,o),T(Po.$$.fragment,o),T(No.$$.fragment,o),T(Ot.$$.fragment,o),T(Mt.$$.fragment,o),T(yt.$$.fragment,o),T(Io.$$.fragment,o),T(Do.$$.fragment,o),T(Lo.$$.fragment,o),T(Uo.$$.fragment,o),T(jt.$$.fragment,o),T(Rt.$$.fragment,o),T(Ft.$$.fragment,o),T(Qo.$$.fragment,o),T(Vo.$$.fragment,o),T(Ho.$$.fragment,o),T(Ct.$$.fragment,o),T(zt.$$.fragment,o),T(Pt.$$.fragment,o),T(At.$$.fragment,o),T(Bo.$$.fragment,o),T(Go.$$.fragment,o),T(Jo.$$.fragment,o),T(Yo.$$.fragment,o),T(Zo.$$.fragment,o),T(Lt.$$.fragment,o),T(Xt.$$.fragment,o),T(Ut.$$.fragment,o),T(en.$$.fragment,o),T(tn.$$.fragment,o),T(nn.$$.fragment,o),T(Vt.$$.fragment,o),T(Wt.$$.fragment,o),T(Ht.$$.fragment,o),T(sn.$$.fragment,o),Gr=!0)},o(o){O(n.$$.fragment,o),O(Kt.$$.fragment,o),O(Zt.$$.fragment,o),O(ao.$$.fragment,o),O(io.$$.fragment,o),O(po.$$.fragment,o),O(mo.$$.fragment,o),O(co.$$.fragment,o),O(uo.$$.fragment,o),O(ho.$$.fragment,o),O(ot.$$.fragment,o),O(nt.$$.fragment,o),O(st.$$.fragment,o),O(fo.$$.fragment,o),O(_o.$$.fragment,o),O(vo.$$.fragment,o),O(at.$$.fragment,o),O(it.$$.fragment,o),O(lt.$$.fragment,o),O(xo.$$.fragment,o),O(ko.$$.fragment,o),O(bo.$$.fragment,o),O(mt.$$.fragment,o),O(dt.$$.fragment,o),O(ct.$$.fragment,o),O(To.$$.fragment,o),O(Oo.$$.fragment,o),O(Mo.$$.fragment,o),O(qo.$$.fragment,o),O(ht.$$.fragment,o),O(ft.$$.fragment,o),O(_t.$$.fragment,o),O(Eo.$$.fragment,o),O(jo.$$.fragment,o),O(Ro.$$.fragment,o),O(So.$$.fragment,o),O(xt.$$.fragment,o),O(kt.$$.fragment,o),O(wt.$$.fragment,o),O(Co.$$.fragment,o),O(zo.$$.fragment,o),O(Po.$$.fragment,o),O(No.$$.fragment,o),O(Ot.$$.fragment,o),O(Mt.$$.fragment,o),O(yt.$$.fragment,o),O(Io.$$.fragment,o),O(Do.$$.fragment,o),O(Lo.$$.fragment,o),O(Uo.$$.fragment,o),O(jt.$$.fragment,o),O(Rt.$$.fragment,o),O(Ft.$$.fragment,o),O(Qo.$$.fragment,o),O(Vo.$$.fragment,o),O(Ho.$$.fragment,o),O(Ct.$$.fragment,o),O(zt.$$.fragment,o),O(Pt.$$.fragment,o),O(At.$$.fragment,o),O(Bo.$$.fragment,o),O(Go.$$.fragment,o),O(Jo.$$.fragment,o),O(Yo.$$.fragment,o),O(Zo.$$.fragment,o),O(Lt.$$.fragment,o),O(Xt.$$.fragment,o),O(Ut.$$.fragment,o),O(en.$$.fragment,o),O(tn.$$.fragment,o),O(nn.$$.fragment,o),O(Vt.$$.fragment,o),O(Wt.$$.fragment,o),O(Ht.$$.fragment,o),O(sn.$$.fragment,o),Gr=!1},d(o){t(s),o&&t(_),o&&t(c),M(n),o&&t($),o&&t(j),M(Kt),o&&t(qr),o&&t(F),M(Zt),M(ao),M(io),M(po),o&&t(Er),o&&t(je),M(mo),o&&t(jr),o&&t(oe),M(co),M(uo),M(ho),M(ot),M(nt),M(st),o&&t(Rr),o&&t(Fe),M(fo),o&&t(Fr),o&&t(U),M(_o),M(vo),M(at),M(it),M(lt),o&&t(Sr),o&&t(Ce),M(xo),o&&t(Cr),o&&t(A),M(ko),M(bo),M(mt),M(dt),M(ct),M(To),o&&t(zr),o&&t(Pe),M(Oo),o&&t(Pr),o&&t(N),M(Mo),M(qo),M(ht),M(ft),M(_t),M(Eo),o&&t(Ar),o&&t(Ne),M(jo),o&&t(Nr),o&&t(I),M(Ro),M(So),M(xt),M(kt),M(wt),M(Co),o&&t(Ir),o&&t(De),M(zo),o&&t(Dr),o&&t(Q),M(Po),M(No),M(Ot),M(Mt),M(yt),o&&t(Lr),o&&t(Xe),M(Io),o&&t(Xr),o&&t(ne),M(Do),M(Lo),M(Uo),M(jt),M(Rt),M(Ft),o&&t(Ur),o&&t(Qe),M(Qo),o&&t(Qr),o&&t(D),M(Vo),M(Ho),M(Ct),M(zt),M(Pt),M(At),M(Bo),o&&t(Vr),o&&t(We),M(Go),o&&t(Wr),o&&t(se),M(Jo),M(Yo),M(Zo),M(Lt),M(Xt),M(Ut),o&&t(Hr),o&&t(Be),M(en),o&&t(Br),o&&t(L),M(tn),M(nn),M(Vt),M(Wt),M(Ht),M(sn)}}}const Zu={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function eg(E){return xu(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ig extends fu{constructor(s){super();_u(this,s,eg,Ku,$u,{})}}export{ig as default,Zu as metadata};
